#! /usr/bin/env python

try:
    from ez_setup import use_setuptools
    use_setuptools()
    from setuptools import setup
    is_setuptools = True
except ImportError:
    from distutils.core import setup
    is_setuptools = False

kw = {}
if is_setuptools:
    kw['extras_require'] = {
        'Metakit': ['Mk4py'],
        'ZODB': ['ZODB'],
        'mx': ['mx.DateTime', 'mx.Misc'],
        }

setup(name = "m_lib",
    version = "2.1.1",
    description = "Broytman Library for Python",
    long_description = "Broytman Library for Python, Copyright (C) 1996-2013 PhiloSoft Design",
    author = "Oleg Broytman",
    author_email = "phd@phdru.name",
    url = "http://phdru.name/Software/Python/#m_lib",
    license = "GPL",
    platforms = "All",
    packages = ["m_lib", "m_lib.clock", "m_lib.flad",
        "m_lib.hash", "m_lib.lazy",
        "m_lib.net", "m_lib.net.ftp", "m_lib.net.www",
        "m_lib.pbar", "m_lib.rus",
    ],
    **kw
)
